%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Esercitazione sul calcolo simbolico  %
%             Esercizio 4              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%a)
syms P V n R T V1 V2

ideal_gas_law=sym('P*V=n*R*T')

%risolvo l'equazione rispetto a P
P=solve(ideal_gas_law, 'P')

%integro P rispetto a V da V1 a V2
W=int(P,V,V1,V2)

%sostituisco i valori numerici dentro all'equazione trovata
work=subs(W, {n,R,V1,V2,T},{1,8.314,1,5,300.0})

%b)
p=subs(P,{n,R,T},{1,8.314,300})

ezplot(p,[1,5])
title('cambiamento di pressione in base al volume')
xlabel('Volume')
ylabel('Pressione')
axis([1,5,0,2500])